CMSIS-NN: arm_fully_connected_s16.c File Reference

| CMSIS-NN Version 3.1.0 CMSIS NN Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Enumerations Enumerator Macros Groups Pages
Functions
arm_fully_connected_s16.c File Reference

## Functions

arm_status | arm_fully_connected_s16 (const cmsis_nn_context *ctx, const cmsis_nn_fc_params *fc_params, const cmsis_nn_per_tensor_quant_params *quant_params, const cmsis_nn_dims *input_dims, const q15_t *input, const cmsis_nn_dims *filter_dims, const q7_t *kernel, const cmsis_nn_dims *bias_dims, const int64_t *bias, const cmsis_nn_dims *output_dims, q15_t *output)
| Basic s16 Fully Connected function. More...
int32_t | arm_fully_connected_s16_get_buffer_size (const cmsis_nn_dims *filter_dims)
| Get the required buffer size for S16 basic fully-connected and matrix multiplication layer function for TF Lite. More...